<?php
/**
 * Session functions
 *
 * Moved all session functions into one file, 
 * include this where session starting might be required
 *
 * @package Core
 * @author  Eric GALLENE <okrome@free.fr>
 * @version $Id: session.php,v 1.8 2006/10/22 18:15:04
 */

// start session
session_start();

require_once './core/functions.php';  // needed for remove_magic_quotes

if (get_magic_quotes_gpc())
{
    if (isset($_SESSION)) remove_magic_quotes($_SESSION);
}

	// get session variables
	if (empty($_SESSION['pcs']['clubslistcolumns']) && isset($config['clubslistcolumns']))
	{
		$_SESSION['pcs']['clubslistcolumns'] = $config['clubslistcolumns'];
	}
	// get session variables
	if (empty($_SESSION['pcs']['stadiumslistcolumns']) && isset($config['stadiumslistcolumns']))
	{
		$_SESSION['pcs']['stadiumslistcolumns'] = $config['stadiumslistcolumns'];
	}
	// get session variables
	if (empty($_SESSION['pcs']['competitionslistcolumns']) && isset($config['competitionslistcolumns']))
	{
		$_SESSION['pcs']['competitionslistcolumns'] = $config['competitionslistcolumns'];
	}
	
	// get session variables
	if (empty($_SESSION['pcs']['personslistcolumns']) && isset($config['personslistcolumns']))
	{
		$_SESSION['pcs']['personslistcolumns'] = $config['personslistcolumns'];
	}
	
	// get session variables
	if (empty($_SESSION['pcs']['newslistcolumns']) && isset($config['newslistcolumns']))
	{
		$_SESSION['pcs']['newslistcolumns'] = $config['newslistcolumns'];
	}
	
	// get session variables
	if (empty($_SESSION['pcs']['gallerylistcolumns']) && isset($config['gallerylistcolumns']))
	{
		$_SESSION['pcs']['gallerylistcolumns'] = $config['gallerylistcolumns'];
	}
	
	// get session variables
	if (empty($_SESSION['pcs']['prizelistcolumns']) && isset($config['prizelistcolumns']))
	{
		$_SESSION['pcs']['prizelistcolumns'] = $config['prizelistcolumns'];
	}


?>